Show / Hide Table of Contents

# Class TelemetryProperties

##### Inheritance

System.Object
TelemetryProperties

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class TelemetryProperties

### Properties

| Improve this Doc View Source

#### EventName

##### Declaration

    public string EventName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Measures

Telemetry measures

##### Declaration

    public Dictionary<string, double> Measures { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.Dictionary<System.String, System.Double> |

| Improve this Doc View Source

#### Properties

Telemetry properties

##### Declaration

    public Dictionary<string, string> Properties { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.Dictionary<System.String, System.String> |